Bug 187113 - net/siproxd: Update to 0.8.1 (outdated and not functional in a looping config)
Summary: net/siproxd: Update to 0.8.1 (outdated and not functional in a looping config)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: needs-patch, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2014-02-27 16:30 UTC by loic.blot
Modified: 2015-08-01 16:51 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
siproxd.diff (11.21 KB, patch)
2014-03-14 05:29 UTC, Steve Wills
no flags Details | Diff
New patch against current version (7.07 KB, patch)
2015-06-03 13:26 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description loic.blot 2014-02-27 16:30:00 UTC
	the siproxd version is outdated and unfunctional. OpenBSD has 0.8.1 and works well. I have patched the port to accept 0.8.1 and it works very well.
	It's compilable and runnable:
		17:16:55 INFO:siproxd.c:233 siproxd-0.8.1-56 amd64-portbld-freebsd9.2 starting up

	It also works very well on a looping config (if_inbound = if_outbound)

Fix: 

I have no diff at this time but here is the manip.
	Please set version to 0.8.1 and remove the portversion.
	Also remove all patches, they are useless on this version.
How-To-Repeat: 	If you configure same interface on if_inbound and if_outbound siproxd 0.7 detect a SIP loop but don't handle it.
	On 0.8.1 this problem is fixed.
Comment 1 Edwin Groothuis freebsd_committer 2014-02-28 05:34:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-02-28 05:34:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2014-02-28 05:34:17 UTC
Maintainer of net/siproxd,

Please note that PR ports/187113 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187113

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Steve Wills freebsd_committer 2014-03-14 05:29:04 UTC
Hi,

Please see attached patch, I think this may help. I'm not familiar with
siproxd, so please test. This also adds STAGEDIR support, but I did leave out
the home dir, wasn't sure it's necessary. Feedback appreciated.

Thanks,
Steve
Comment 5 loic.blot 2014-08-08 07:57:13 UTC
Hi,
sorry for to be late.
Was good for me
Comment 6 Renato Botelho freebsd_committer 2015-06-03 13:26:21 UTC
Created attachment 157395 [details]
New patch against current version
Comment 7 loic.blot 2015-06-05 07:28:01 UTC
It's okay for me
Comment 8 Kurt Jaeger freebsd_committer 2015-06-05 08:39:26 UTC
Build-test on 10.1a, 9.3a, fine.
On 8.4i: fails to build ?

http://people.freebsd.org/~pi/logs/net__siproxd*
Comment 9 Renato Botelho freebsd_committer 2015-06-05 12:24:26 UTC
(In reply to Kurt Jaeger from comment #8)

Based on config.log, it seems libosip2.so.11.0.0 is broken on 8.x:

/usr/local/lib/libosip2.so: undefined reference to `pthread_create'

/usr/local/lib/libosip2.so.11.0.0:
        librt.so.1 => /usr/lib/librt.so.1 (0x800c00000)
        libosipparser2.so.11 => /usr/local/lib/libosipparser2.so.11 (0x800d05000)
        libc.so.7 => /lib/libc.so.7 (0x800648000)

While on 11-current:

/usr/local/lib/libosip2.so.11.0.0:
        librt.so.1 => /usr/lib/librt.so.1 (0x80160f000)
        libosipparser2.so.11 => /usr/local/lib/libosipparser2.so.11 (0x801815000)
        libc.so.7 => /lib/libc.so.7 (0x800821000)
        libthr.so.3 => /lib/libthr.so.3 (0x801a3c000)
Comment 10 commit-hook freebsd_committer 2015-06-06 08:06:17 UTC
A commit references this bug:

Author: pi
Date: Sat Jun  6 08:05:41 UTC 2015
New revision: 388658
URL: https://svnweb.freebsd.org/changeset/ports/388658

Log:
  net/siproxd: 0.7.2 -> 0.8.1

  Update, but still broken on 8.x

  Changelog:
  http://siproxd.sourceforge.net/index.php?op=changelog

  PR:		187113
  Submitted by:	garga
  Tested by:	loic.blot@unix-experience.fr

Changes:
  head/net/siproxd/Makefile
  head/net/siproxd/distinfo
  head/net/siproxd/files/patch-configure
  head/net/siproxd/files/patch-doc_siproxd.conf.example
  head/net/siproxd/files/patch-src__siproxd.c
  head/net/siproxd/pkg-deinstall
  head/net/siproxd/pkg-install
  head/net/siproxd/pkg-plist
Comment 11 Kurt Jaeger freebsd_committer 2015-06-06 08:07:02 UTC
Ups:

Maintainer Timeout...

still open: 8.x
Comment 12 Kurt Jaeger freebsd_committer 2015-08-01 16:51:23 UTC
8.x is no longer supported, so close this PR.